unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  EditBtn,FileUtil;

type

  { TForm1 }

  TForm1 = class(TForm)
    bSearch: TButton;
    cbHidden: TCheckBox;
    cbSystem: TCheckBox;
    DirectoryEdit1: TDirectoryEdit;
    ListBox1: TListBox;
    procedure bSearchClick(Sender: TObject);
    procedure cbHiddenChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.bSearchClick(Sender: TObject);
var
  sr:TSearchRec;
begin
  ListBox1.Clear;
  If FindFirst (AppendPathDelim(DirectoryEdit1.Directory)+'*',faAnyFile,sr)=0 then
    repeat
      with sr do
        begin
          if not ((not cbHidden.Checked) and ((faHidden and Attr) = faHidden)) then
          if not ((not cbSystem.Checked) and ((faSysFile and Attr) = faSysFile)) then
          if (sr.name <> '..') and (sr.name <> '.') then
            begin
              If (Attr and faDirectory) = faDirectory then
                ListBox1.Items.Add(sr.name+' (Dir)')
              else
                Listbox1.Items.Add(sr.name);
            end;
       end;
    until FindNext(sr)<>0;
  FindClose(sr);
end;

procedure TForm1.cbHiddenChange(Sender: TObject);
begin
  bSearchClick(nil);
end;

initialization
  {$I unit1.lrs}

end.

